Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/services/servicesUtils/refineResults.class.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/services/servicesUtils/refineResults.class.ts	(revision 58104)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/services/servicesUtils/refineResults.class.ts	(revision 58105)
@@ -18,9 +18,9 @@
              filter.title = searchFields.getFieldName(fields[j],entityType);
              filter.filterId = fields[j];
              filter.originalFilterId = fields[j];
-             filter.valueIsUnique = searchFields.fieldHasUniqueValue(fields[j], entityType, usedBy);
+             filter.filterType = searchFields.getFieldFilterType(fields[j], entityType, usedBy);
              filter.filterOperator = searchFields.getFieldOperator(fields[j]);
-             //console.info("filter.title: "+filter.title+" filter.valueIsUnique: "+filter.valueIsUnique);
+             //console.info("filter.title: "+filter.title+" filter.filterType: "+filter.filterType);
 
              let field = data[fields[j]];
              if(field){
@@ -36,7 +36,8 @@
 
 
              }
-             filters.push(filter);
+
+               filters.push(filter);
            }
        }
      }
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/searchPages/searchDataProviders.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/searchPages/searchDataProviders.component.ts	(revision 58104)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/searchPages/searchDataProviders.component.ts	(revision 58105)
@@ -112,7 +112,7 @@
 
     this.searchPage.fieldIds = this.fieldIds;
     this.selectedFields =[];
-     this.searchPage.prepareSearchPage(this.fieldIds, this.selectedFields, this.refineFields, this.fieldIdsMap,this.customFilter,params, "datasource");
+    this.searchPage.prepareSearchPage(this.fieldIds, this.selectedFields, this.refineFields, [], this.fieldIdsMap,this.customFilter,params, "datasource");
 
      // this.searchPage.selectedFields = this.selectedFields;
     // this.searchPage.fieldIdsMap = this.fieldIdsMap;
@@ -152,7 +152,7 @@
            if (refine) {
              this.filters = this.searchPage.prepareFiltersToShow(data[2]);
            }else{
-             this.searchPage.buildPageURLParameters(this.filters, false);
+             this.searchPage.buildPageURLParameters(this.filters, [], false);
            }
             // this.searchPage.updateBaseUrlWithParameters();
             //var errorCodes:ErrorCodes = new ErrorCodes();
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/searchPages/searchOrganizations.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/searchPages/searchOrganizations.component.ts	(revision 58104)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/searchPages/searchOrganizations.component.ts	(revision 58105)
@@ -114,7 +114,7 @@
       // this.searchPage.fieldIdsMap = this.fieldIdsMap;
       // this.searchPage.customFilter = this.customFilter;
       // this.searchPage.getSelectedFiltersFromUrl(params);
-      this.searchPage.prepareSearchPage(this.fieldIds, this.selectedFields, this.refineFields, this.fieldIdsMap,this.customFilter,params, "organization");
+      this.searchPage.prepareSearchPage(this.fieldIds, this.selectedFields, this.refineFields, [], this.fieldIdsMap,this.customFilter,params, "organization");
 
       this.getResults(this.searchPage.getSearchAPIQueryForAdvancedSearhFields(),  this.searchUtils.page, this.searchUtils.size, refine, this.searchPage.getSearchAPIQueryForRefineFields(params, firstLoad));
 
@@ -150,7 +150,7 @@
           if (refine) {
             this.filters = this.searchPage.prepareFiltersToShow(data[2]);
           }else{
-            this.searchPage.buildPageURLParameters(this.filters, false);
+            this.searchPage.buildPageURLParameters(this.filters, [],false);
           }
             // this.searchPage.updateBaseUrlWithParameters();
             //var errorCodes:ErrorCodes = new ErrorCodes();
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/searchPages/searchProjects.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/searchPages/searchProjects.component.ts	(revision 58104)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/searchPages/searchProjects.component.ts	(revision 58105)
@@ -8,6 +8,7 @@
 import {SearchCustomFilter, SearchUtilsClass} from './searchUtils/searchUtils.class';
 import {EnvProperties} from '../utils/properties/env-properties';
 import {NewSearchPageComponent} from "./searchUtils/newSearchPage.component";
+import {RangeFilter} from "../utils/rangeFilter/rangeFilterHelperClasses.class";
 
 @Component({
     selector: 'search-projects',
@@ -27,8 +28,8 @@
         [(openaireLink)]=openaireLink
         [piwikSiteId]=piwikSiteId [hasPrefix]="hasPrefix"
         searchFormClass="projectSearchForm"
-        
         [(filters)]="filters"
+        [rangeFilters]="rangeFilters" [rangeFields]="rangeFields"
         [simpleView]="simpleView" formPlaceholderText="Search by title, author, doi, abstract content..."
       >
       </new-search-page>
@@ -43,6 +44,7 @@
 @Input() customFilter:SearchCustomFilter= null;
   public results =[];
   public filters =[];
+  public rangeFilters: RangeFilter[] = [];
 
   public searchUtils:SearchUtilsClass = new SearchUtilsClass();
   public searchFields:SearchFields = new SearchFields();
@@ -49,6 +51,7 @@
 
   public fieldIds:  string[] = this.searchFields.PROJECT_ADVANCED_FIELDS;
   public fieldIdsMap = this.searchFields.PROJECT_FIELDS;
+  public rangeFields:string[][] = this.searchFields.PROJECT_RANGE_FIELDS;
   public selectedFields:AdvancedField[] =  [];
   properties:EnvProperties;
 
@@ -114,13 +117,13 @@
 
       this.searchPage.fieldIds = this.fieldIds;
       this.selectedFields = [];
-      this.searchPage.prepareSearchPage(this.fieldIds, this.selectedFields, this.refineFields, this.fieldIdsMap,this.customFilter,params, "project");
+      this.searchPage.prepareSearchPage(this.fieldIds, this.selectedFields, this.refineFields, this.rangeFields, this.fieldIdsMap,this.customFilter,params, "project");
       // this.selectedFields =[];
       // this.searchPage.selectedFields = this.selectedFields;
       // this.searchPage.fieldIdsMap = this.fieldIdsMap;
       // this.searchPage.customFilter = this.customFilter;
       // this.searchPage.getSelectedFiltersFromUrl(params);
-      this.getResults(this.searchPage.getSearchAPIQueryForAdvancedSearhFields(),  this.searchUtils.page, this.searchUtils.size, refine, this.searchPage.getSearchAPIQueryForRefineFields(params, firstLoad));
+      this.getResults(this.searchPage.getSearchAPIQueryForAdvancedSearhFields(),  this.searchUtils.page, this.searchUtils.size, refine, this.searchPage.getSearchAPIQueryForRangeFields(params)+this.searchPage.getSearchAPIQueryForRefineFields(params, firstLoad));
       firstLoad = false;
     });
   }
@@ -156,9 +159,11 @@
               if (refine) {
                 this.filters = this.searchPage.prepareFiltersToShow(data[2]);
               }else{
-                this.searchPage.buildPageURLParameters(this.filters, false);
+                this.searchPage.buildPageURLParameters(this.filters, this.rangeFilters, false);
               }
-              //var errorCodes:ErrorCodes = new ErrorCodes();
+            this.rangeFilters = this.searchPage.prepareRangeFiltersToShow();
+
+            //var errorCodes:ErrorCodes = new ErrorCodes();
               this.searchUtils.status = this.errorCodes.DONE;
               if(this.searchUtils.totalResults == 0 ){
                 this.searchUtils.status = this.errorCodes.NONE;
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/searchPages/searchUtils/searchHelperClasses.class.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/searchPages/searchUtils/searchHelperClasses.class.ts	(revision 58104)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/searchPages/searchUtils/searchHelperClasses.class.ts	(revision 58105)
@@ -7,7 +7,7 @@
     public values: Value[] = [];
     public filterOperator: string ='or';
     public valueIsExact: boolean = true;  // for search table view, if value is contained or is equal with column entry
-    public valueIsUnique: boolean = false;
+    public filterType: string = "checkbox";
 //    public uniqueValueIdSelected: string;
 }
 
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/searchPages/searchUtils/newSearchPage.module.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/searchPages/searchUtils/newSearchPage.module.ts	(revision 58104)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/searchPages/searchUtils/newSearchPage.module.ts	(revision 58105)
@@ -6,6 +6,7 @@
 import{NewSearchPageComponent} from './newSearchPage.component';
 import{SearchFormModule} from './searchForm.module';
 import {SearchFilterModule} from './searchFilter.module';
+import {RangeFilterModule} from 'app/openaireLibrary/utils/rangeFilter/rangeFilter.module';
 import{LoadingModalModule} from '../../utils/modal/loadingModal.module';
 import {ReportsServiceModule} from '../../services/reportsService.module';
 import{SearchPagingModule} from './searchPaging.module';
@@ -28,7 +29,8 @@
   imports: [
     CommonModule, FormsModule, RouterModule, SearchFormModule, SearchResultsModule, CommunitySearchResultsModule,
     LoadingModalModule, ReportsServiceModule, SearchDataproviderMapModule,
-    SearchPagingModule, SearchResultsPerPageModule, SearchSortingModule, SearchDownloadModule, ModalModule, SearchFilterModule,
+    SearchPagingModule, SearchResultsPerPageModule, SearchSortingModule, SearchDownloadModule, ModalModule,
+    SearchFilterModule, RangeFilterModule,
     PiwikServiceModule, HelperModule, Schema2jsonldModule, SEOServiceModule, SearchResultsModule,
     SearchResultsInDepositModule, AdvancedSearchFormModule
   ],
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/searchPages/searchUtils/searchFilter.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/searchPages/searchUtils/searchFilter.component.ts	(revision 58104)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/searchPages/searchUtils/searchFilter.component.ts	(revision 58105)
@@ -1,8 +1,5 @@
-import {Component, Input, Output, EventEmitter} from '@angular/core';
-import {Observable}       from 'rxjs';
-
+import {Component, Input, Output, EventEmitter, ViewChild, ElementRef} from '@angular/core';
 import { Filter, Value} from './searchHelperClasses.class';
-import {Open} from '../../utils/modal/open.component';
 
 @Component({
     selector: 'search-filter',
@@ -11,44 +8,36 @@
 
 export class SearchFilterComponent {
 
-    @Input() filter:Filter;
-    @Input() showResultCount:boolean = true;
-    @Input() isDisabled:boolean = false;
-    @Input() addShowMore:boolean = true;
-    @Input() showMoreInline: boolean = false;
-    @Input() filterValuesNum: number = 5;
-    public showAll:boolean = false;
-    public _maxCharacters:number =28;
+  @Input() filter:Filter;
+  @Input() showResultCount:boolean = true;
+  @Input() isDisabled:boolean = false;
+  @Input() addShowMore:boolean = true;
+  @Input() showMoreInline: boolean = true;
+  @Input() filterValuesNum: number = 4;
+  public showAll:boolean = false;
+  public _maxCharacters:number =28;
 
-    @Output() toggleModal = new EventEmitter();
+  @Output() toggleModal = new EventEmitter();
 
-    @Output() modalChange = new EventEmitter();
-    @Output() onFilterChange = new EventEmitter();
-    keyword = "";
-    sortBy = "num";
+  @Output() modalChange = new EventEmitter();
+  @Output() onFilterChange = new EventEmitter();
+  keyword = "";
+  sortBy = "num";
 
+  public isOpen:boolean=false;
 
-    public isOpen:boolean=false;
-
-    // filterModalChange() {
-    //   console.info("Modal Changed");
-    //   this.modalChange.emit({
-    //     value: true
-    //   });
-    //   //this.close();
-    // }
-
-    constructor () {
+  constructor () {
     }
 
-    ngOnInit() {
+    ngOnInit() {}
 
-    }
     public _formatTitle(title,length){
       return (((title+" ("+length+")").length >this._maxCharacters)?(title.substring(0,(this._maxCharacters - (" ("+length+")").length - ('...').length))+"..."):title+" ("+((length >= 99)?length+"+":length)+")")
     }
     public _formatName(value){
-      let maxLineLength = 24;
+      //let maxLineLength = 24;
+      let maxLineLength = 35;
+
       //1 space after checkbox
       //3 space before number + parenthesis
       if(!this.showResultCount && value.name.length+1 > maxLineLength ){
@@ -59,16 +48,8 @@
       }
 
       return value.name;
-      //(((value.name+" ("+value.number+")").length >this._maxCharacters)?(value.name.substring(0,(this._maxCharacters - (" ("+value.number+")").length - ('...').length))+"..."):value.name)
     }
-    // toggleShowAll(){
-    //     this.showAll = !this.showAll;
-    //     if(this.showAll == false) {
-    //         this.reorderFilterValues();
-    //     }
-    // }
 
-
     filterKeywords(value){
       if(this.keyword.length > 0){
         if(value.toLowerCase().indexOf(this.keyword.toLowerCase()) ==-1){
@@ -78,13 +59,10 @@
       return true;
     }
     filterChange(selected:boolean){
-      //console.info("filter change: "+selected);
         if(selected){
             this.filter.countSelectedValues++;
-            // this.reorderFilterValues();
         }else{
             this.filter.countSelectedValues--;
-            // this.reorderFilterValues();
         }
         this.onFilterChange.emit({
             value: this.filter
@@ -104,6 +82,15 @@
         value: this.filter
       });
     }
+    clearFilter() {
+      for (var i=0; i < this.filter.values.length; i++){
+        this.filter.values[i].selected = false;
+      }
+      this.filter.countSelectedValues = 0;
+      this.onFilterChange.emit({
+        value: this.filter
+      });
+    }
     getSelectedValues(filter, sortBy:string = "num"):any{
       var selected = [];
       if(filter.countSelectedValues >0){
@@ -132,15 +119,11 @@
     }
     getNotSelectedValues(filter, sortBy:string = "num"):any{
       var notSselected = [];
-      //if(filter.countSelectedValues >0){
-        for (var i=0; i < filter.values.length; i++){
-          if(!filter.values[i].selected){
-            notSselected.push(filter.values[i]);
-          }
+      for (var i=0; i < filter.values.length; i++){
+        if(!filter.values[i].selected){
+          notSselected.push(filter.values[i]);
         }
-      //}else {
-      //  notSselected = filter.values;
-      //}
+      }
 
       if(sortBy == "name"){
 
@@ -148,7 +131,6 @@
           if (n1.name > n2.name) {
               return 1;
           }
-
           if (n1.name < n2.name) {
               return -1;
           }
@@ -158,67 +140,14 @@
       }
       return notSselected;
     }
-    // reorderFilterValues() {
-    //     for(let value of this.filter.values) {
-    //         if(value.selected) {
-    //             let index: number = this.filter.values.indexOf(value);
-    //             let selectedValue:Value = this.filter.values[index];
-    //
-    //             this.filter.values.splice(index, 1);
-    //             this.filter.values.splice(0, 0, selectedValue);
-    //         }
-    //     }
-    // }
-//     sliceSelected() {
-//         let values: Value[] = [];
-//
-//         for(let value of this.filter.values) {
-//             if(value.selected) {
-//                 let index: number = this.filter.values.indexOf(value);
-//                 let selectedValue:Value = this.filter.values[index];
-//
-//                 this.filter.values.splice(index, 1);
-//                 this.filter.values.splice(0, 0, selectedValue);
-//             }
-//         }
 
-
-  // toggle() {
-  //   this.toggleModal.emit({
-  //     value: this.filter
-  //   });
-  // }
-
-
-  open() {
-    this.isOpen = true;
+  toggle() {
+    this.isOpen = !this.isOpen;
   }
 
-  close() {
-    this.isOpen = false;
-  }
-
-  // filterChange2(selected:boolean){
-  //
-  //   console.info("filter change2");
-  //     if(selected){
-  //         this.filter.countSelectedValues++;
-  //         // this.reorderFilterValues();
-  //     }else{
-  //         this.filter.countSelectedValues--;
-  //         // this.reorderFilterValues();
-  //     }
-  //     this.close();
-  // }
   getFilterName(value){
     let name = value.name +" ("+ value.number.format()+")";
-    console.log(name)
-
-
-    //   <span class="filterName"><div title = "{{value.name}}">
-    // <input [(ngModel)]="value.selected" type="checkbox" (ngModelChange)="filterModalChange(value.selected)">
-    //   {{value.name}} </div></span>
-    // <span class="filterNumber" *ngIf = "showResultCount === true" >  ({{value.number | number}})</span>
+    console.log(name);
     return name;
   }
 }
